# The below credential types will be used as default:
# By overriding `supportedCredentialTypes` you can change what credentials the issuer shall advertise.

# supportedCredentialTypes = {
    # BankId = [VerifiableCredential, BankId]
    # KycChecksCredential = [VerifiableCredential, VerifiableAttestation, KycChecksCredential],
    # KycCredential = [VerifiableCredential, VerifiableAttestation, KycCredential]
    # KycDataCredential = [VerifiableCredential, VerifiableAttestation, KycDataCredential]
    # PassportCh = [VerifiableCredential, VerifiableAttestation, VerifiableId, PassportCh]
    # PND91Credential = [VerifiableCredential, PND91Credential]
    # MortgageEligibility = [VerifiableCredential, VerifiableAttestation, VerifiableId, MortgageEligibility]
    # PortableDocumentA1 = [VerifiableCredential, VerifiableAttestation, PortableDocumentA1]
    # OpenBadgeCredential = [VerifiableCredential, OpenBadgeCredential]
    # VaccinationCertificate = [VerifiableCredential, VerifiableAttestation, VaccinationCertificate]
    # WalletHolderCredential = [VerifiableCredential, WalletHolderCredential]
    # UniversityDegree = [VerifiableCredential, UniversityDegree]
    # VerifiableId = [VerifiableCredential, VerifiableAttestation, VerifiableId]
    # CTWalletSameAuthorisedInTime = [VerifiableCredential, VerifiableAttestation, CTWalletSameAuthorisedInTime]
    # CTWalletSameAuthorisedDeferred = [VerifiableCredential, VerifiableAttestation, CTWalletSameAuthorisedDeferred]
    # CTWalletSamePreAuthorisedInTime = [VerifiableCredential, VerifiableAttestation, CTWalletSamePreAuthorisedInTime]
    # CTWalletSamePreAuthorisedDeferred = [VerifiableCredential, VerifiableAttestation, CTWalletSamePreAuthorisedDeferred]
    # AlpsTourReservation = [VerifiableCredential, VerifiableAttestation, AlpsTourReservation]
    # EducationalID = [VerifiableCredential, VerifiableAttestation, EducationalID]
    # HotelReservation = [VerifiableCredential, VerifiableAttestation, HotelReservation]
    # Iso18013DriversLicenseCredential = [VerifiableCredential, VerifiableAttestation, Iso18013DriversLicenseCredential]
    # TaxReceipt = [VerifiableCredential, VerifiableAttestation, TaxReceipt]
    # VerifiablePortableDocumentA1 = [VerifiableCredential, VerifiableAttestation, VerifiablePortableDocumentA1]
    # Visa = [VerifiableCredential, VerifiableAttestation, Visa]
    # eID = [VerifiableCredential, VerifiableAttestation, eID]
    # NaturalPersonVerifiableID = [VerifiableCredential, VerifiableAttestation, NaturalPersonVerifiableID]
    # BoardingPass = [VerifiableCredential, VerifiableAttestation, BoardingPass]
    # LegalPerson = [VerifiableCredential, LegalPerson],
    # LegalRegistrationNumber = [VerifiableCredential, LegalRegistrationNumber],
    # GaiaXTermsAndConditions = [VerifiableCredential, GaiaXTermsAndConditions],
    # DataspaceParticipantCredential = [VerifiableCredential, DataspaceParticipantCredential],
    # "org.iso.18013.5.1.mDL" = {
    #     format = mso_mdoc
    #     cryptographic_binding_methods_supported = ["cose_key"]
    #     credential_signing_alg_values_supported = ["ES256"]
    #     proof_types_supported = { cwt = { proof_signing_alg_values_supported = ["ES256"] } }
    #     types = ["org.iso.18013.5.1.mDL"]
    #     doctype = "org.iso.18013.5.1.mDL"
    # }
    #
    # "urn:eu.europa.ec.eudi:pid:1" = {
    #     format = "vc+sd-jwt"
    #     cryptographic_binding_methods_supported = ["jwk"]
    #     credential_signing_alg_values_supported = ["ES256"]
    #     types = ["urn:eu.europa.ec.eudi:pid:1"]
    #     doctype = "urn:eu.europa.ec.eudi:pid:1"
    # }
    # "KiwiAccessCredential_jwt_vc_json" = {
    #        format = "jwt_vc_json"
    #       cryptographic_binding_methods_supported = ["did"]
    #       credential_signing_alg_values_supported = ["ES256" , "RSA" , "EdDSA" , "ES256K"]
    #       credential_definition = {
    #         type = ["VerifiableCredential", "KiwiAccessCredential"]
    #       }
    #       display = [
    #       {
    #         name = "Kiwi Access Card"
    #         description = "An official evidence of age and identity card for use across New Zealand."
    #         image = "https://www.kiwi.com/static/images/kiwi-logo.png"
    #         locale = "en-US"
    #         logo = {
    #         url = "https://kiwiaccess.co.nz/wp-content/uploads/2018/10/Kiwi-Access-Logo-White.png",
    #         alt_text = "Logo"
    #            }
    #         background_color = "#FFFFFF"
    #         text_color = "#000000"
    #         background_image = {
    #         url = "https://kiwiaccess.co.nz/wp-content/uploads/2018/10/Kiwi-Access-Logo-White.png",
    #         alt_text = "Background Image"
    #           }
    #
    #           }
    #      ]
    # }
    #
    # "identity_credential_vc+sd-jwt" = {
    #     format = "vc+sd-jwt",
    #     cryptographic_binding_methods_supported = ["jwk"]
    #     credential_signing_alg_values_supported = ["ES256"]
    #     types = ["identity_credential_vc+sd-jwt"],
    #     doctype = "identity_credential_vc+sd-jwt",
    #     vct = "https://example.org/identity_credential",
    #     display = [{
    #         name = "Test Credential",
    #         locale = "en-US",
    #         description = "This is a test credential",
    #         logo = {
    #             url = "https://example.com/logo.png",
    #             altText = "Logo"
    #         },
    #         backgroundColor = "#FFFFFF",
    #         textColor = "#000000",
    #         backgroundImage = {
    #             url = "https://example.com/background.png",
    #             altText = "Background"
    #         }
    #         secondaryImage = {
    #             url = "https://example.com/secondary.png",
    #             altText = "Secondary Image"
    #         }
    #     }],
    #     sdJwtVcTypeMetadata = {
    #         vct = "https://example.org/identity_credential",
    #         name = "Identity Credential",
    #         description = "The Identity Verifiable Credential"
    #     }
    # }
# }
